Support » Plugin: Widget Wrangler » Unable to update a Widget which include a gravity form shortcode

  • Resolved Dexter0015

    (@improvedline)


    Hi,

    I’ve created a new widget encapsulating a gravity form shortcode.

    I can save the widget the first time, but I can’t save the widget after editing it.

    I believe it could be linked to the preview widget preview because when I try to save my widget after editing it, I get a page with the form displayed and an error message related to the form scenario.
    It seems when I clic “Update widget”, the form is submited…

    I try tu disble “widget preview” from widget’s edit page help panel, unfortunately it doesn’t change anything (if I’m correct the bloc is hidden but code style here).

    Any idea how to change that behaviour?

    https://wordpress.org/plugins/widget-wrangler/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Jonathan Daggerhart

    (@daggerhart)

    Hi improvedline,

    I’ll look into providing an option for disabling widget previews more fully, but until then you’ll need some code like the following:

    function my_admin_init(){
    	remove_meta_box( "ww-widget-preview", 'widget', 'side' );
    }
    add_action('admin_init', 'my_admin_init', 100 );

    You can be more selective of the metabox removal by wrapping it in a condition of your choosing. For example, if you only wanted to remove the metabox for one widget, who’s post ID is 123:

    function my_admin_init(){
    	if ( isset( $_GET['post'] ) && $_GET['post'] == '123' ) {
    		remove_meta_box( "ww-widget-preview", 'widget', 'side' );
    	}
    }
    add_action('admin_init', 'my_admin_init', 100 );

    Hope this helps!
    Jonathan

    Hi Jonathan,

    Thanks, it solve my problem indeed!

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Unable to update a Widget which include a gravity form shortcode’ is closed to new replies.